Package io.vertx.rxjava3.ext.auth.sqlclient

## Class SqlAuthentication

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.sqlclient.SqlAuthentication

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SqlAuthentication
      extends AuthenticationProvider
      implements io.vertx.lang.rx.RxDelegate

  Factory interface for creating `AuthenticationProvider` instances that use the Vert.x SQL client.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SqlAuthentication>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlAuthentication​(SqlAuthentication delegate)` |
    `SqlAuthentication​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SqlAuthentication` | `create​(SqlClient client)` | Create a JDBC auth provider implementation
    `static SqlAuthentication` | `create​(SqlClient client, SqlAuthenticationOptions options)` | Create a JDBC auth provider implementation
    `boolean` | `equals​(Object o)` |
    `SqlAuthentication` | `getDelegate()` |
    `String` | `hash​(String id, String salt, String password)` | Hashes a password to be stored.
    `String` | `hash​(String id, Map<String,​String> params, String salt, String password)` | Hashes a password to be stored.
    `int` | `hashCode()` |
    `static SqlAuthentication` | `newInstance​(SqlAuthentication arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SqlAuthentication> __TYPE_ARG

  - ### Constructor Detail

    - #### SqlAuthentication

          public SqlAuthentication​(SqlAuthentication delegate)

    - #### SqlAuthentication

          public SqlAuthentication​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public SqlAuthentication getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static SqlAuthentication create​(SqlClient client)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
      Returns:
        the auth provider

    - #### create

          public static SqlAuthentication create​(SqlClient client,
                                                 SqlAuthenticationOptions options)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `options` - authentication options
      Returns:
        the auth provider

    - #### hash

          public String hash​(String id,
                             Map<String,​String> params,
                             String salt,
                             String password)

      Hashes a password to be stored.

      See:

      Parameters:
        `id` -
        `params` -
        `salt` -
        `password` -
      Returns:

    - #### hash

          public String hash​(String id,
                             String salt,
                             String password)

      Hashes a password to be stored.

      See:

      Parameters:
        `id` -
        `salt` -
        `password` -
      Returns:

    - #### newInstance

          public static SqlAuthentication newInstance​(SqlAuthentication arg)